Accéder au contenu principal

Configuration système requise pour Qlik NPrinting Engine

SUR CETTE PAGE

Configuration système requise pour Qlik NPrinting Engine

Cette section répertorie la configuration matérielle et logicielle minimale requise pour Qlik NPrinting Engine.

Qlik NPrinting Engine peut être installé sur des machines physiques et virtuelles. Les applications virtualisées ne sont prises en charge par aucune des deux configurations. Par exemple, le composant Qlik NPrinting Engine ne fonctionnera pas s'il est installé sur un ordinateur différent de QlikView Desktop et s'il est distribué comme une application virtualisée.

Par défaut, une seule instance de Qlik NPrinting Engine est disponible par licence Qlik NPrinting Server. Si vous souhaitez ajouter d'autres moteurs à votre environnement Qlik NPrinting, vous devez en faire l'acquisition.

Conditions requises

Les conditions requises pour Qlik NPrinting Engine indiquées sur cette page concernent les configurations dans lesquelles chaque composant Qlik NPrinting est installé sur un ordinateur différent. Si vous installez plusieurs composants (par exemple, le serveur et le moteur) sur le même ordinateur, la configuration matérielle minimale requise devra être augmentée.

  • Plates-formes : Seule l'architecture 64 bits est prise en charge.
    • Microsoft Windows Server 2012
    • Microsoft Windows Server 2012 R2
    • Microsoft Windows Server 2016
    • Microsoft Windows Server 2019
  • Processeurs (UC) : Processeurs compatibles x64 multicœurs (deux cœurs minimum).
  • Mémoire : 2 Go sont requis pour chaque cœur avec un total de 4 Go de RAM minimum.
    • QlikView Desktop doit disposer de suffisamment de mémoire pour gérer les documents QlikView utilisés comme sources de données pour les rapports.
    • Un rapport MultiDoc est un rapport contenant des données issues de nombreux documents QlikView. Lorsque vous créez des rapports MultiDoc, tous les documents QlikView utilisés comme sources de données seront ouverts simultanément.

    • La connexion de serveurs Qlik Sense supplémentaires aura un impact sur les ressources du système Qlik NPrinting Server. Il peut s'avérer nécessaire d'allouer d'avantage de RAM et de capacité de processeur aux ordinateurs Qlik Qlik NPrinting Engine et Qlik NPrinting Server pour que vous puissiez vous connecter à plusieurs Qlik Sense.

  • Espace disque : 300 Mo au minimum.
  • Stockage : Seul le stockage Windows, local ou partagé, est pris en charge.
  • Horloges de serveur :

    Les horloges serveur de Qlik NPrinting Server et de Qlik NPrinting EngineWindows doivent être synchronisées selon une tolérance de 2 secondes. Un serveur Windows synchronise son horloge sur celle du contrôleur de domaine. Par conséquent, si Qlik NPrinting Server et Qlik NPrinting Engine font partie du même domaine, les horloges seront synchronisées. Vous ne devez pas supprimer manuellement cette option. Si vous installez Qlik NPrinting Server et Qlik NPrinting Engine sur des domaines de serveur Windows différents, assurez-vous que les horloges sont synchronisées selon une tolérance de 2 secondes.

  • Sécurité de la plate-forme : La fonction TLS 1.2 doit être activée.
  • Remarque: Les activations de licences demandent l'accès à Qlik Licensing Service. Ouvrez le port 443 et autorisez les appels sortants vers license.qlikcloud.com.

    L'utilisation d'un proxy est prise en charge. Pour plus d'informations sur la configuration d'un service de proxy dans Windows, voir Service de licence : configuration du proxy

Compatibilité de QlikView avec Qlik NPrinting

QlikView Desktop est obligatoire pour établir une connexion QlikView avec Qlik NPrinting. Il doit être installé sur chaque ordinateur Qlik NPrinting Engine.

Si vous utilisez des connexions au serveur ou au cluster, assurez-vous que QlikView Server et QlikView Desktop sont de la même version.

Les versions suivantes de QlikView sont prises en charge pour établir des connexions avec Qlik NPrinting. Notez que votre version Qlik NPrinting doit être supérieure ou égale à votre version QlikView :

  • QlikView Desktop 11.20 SR15 ou version ultérieure
  • QlikView Desktop 12.00 SR5 ou version supérieure
  • QlikView Desktop  12.10 SR1 ou version ultérieure est pris en charge à partir de la version Qlik NPrinting  17.2.2 et inclut les rapports On-Demand.
  • QlikView Desktop November 2017 SR1 ou version ultérieure est pris en charge pour fonctionner avec Qlik NPrinting 17.3.1 ou version ultérieure.
  • QlikView November 2017 (12.20) ou version ultérieure
  • QlikView November 2018 (12.30) SR1 ou version ultérieure
  • QlikView April 2019 (12.40) ou version ultérieure
  • QlikView April 2020 SR2 (12.50 SR2) ou version supérieure
  • Avertissement: QlikView April 2020 (12.50) Les versions antérieures à la version SR2 ne sont pas prises en charge pour la connexion avec Qlik NPrinting.
    Avertissement: QlikView Desktop Personal Edition n'est pas pris en charge.

Si vous migrez de QlikView NPrinting 16 vers Qlik NPrinting November 2019 ou une version ultérieure, vous devrez peut-être mettre à niveau votre version de QlikView. Voir : Mise à niveau de QlikView NPrinting 16 avant la migration.

Compatibilité de Qlik Sense avec Qlik NPrinting

Les versions Qlik Sense suivantes sont prises en charge lors de la connexion à Qlik NPrinting. Notez que votre version Qlik NPrinting doit être supérieure ou égale à votre version Qlik Sense :

  • Qlik Sense November 2017 ou version ultérieure.
  • Qlik NPrinting 17.2.1 ou version ultérieure est requis pour établir des connexions avec Qlik Sense 3.1.2 ou plus récent.

  • Qlik Sense 2.3 ou version ultérieure est requis pour établir des connexions avec les applications Qlik Sense.

  • Qlik Sense 3.0.1 ou version ultérieure est requis pour distribuer des rapports dans un hub Qlik Sense.

  • Qlik Sense 3.1 ou version ultérieure est requis pour vous connecter à plusieurs serveurs Qlik Sense.

Aucun logiciel client n'est nécessaire pour connecter Qlik Sense à Qlik NPrinting.

Logiciels supplémentaires installés

Si les logiciels suivants ne sont pas encore installés, le programme d'installation de Qlik NPrinting Engine les installera. Ces logiciels ne doivent pas être désinstallés :

  • PDF X-CHANGE 5.0.269
  • .NET Framework : version 4.7.2 ou ultérieure

    .NET Framework version 4.7.2 est installé en même temps que Qlik NPrinting Server, Qlik NPrinting Engine ou Qlik NPrinting Designer. L'installation de .NET Framework version 4.7.2 nécessite une connexion Internet active. Si .NET Framework version 4.7.2 ou ultérieure n'est pas encore présent sur un ordinateur sans connexion Internet, l'installation échouera. Vous devez installer .NET Framework version 4.7.2 ou ultérieure sur des ordinateurs sans connexion Internet avant d'installer Qlik NPrinting Server, Qlik NPrinting Engine ou Qlik NPrinting Designer.Si aucune connexion Internet n'est disponible sur un ordinateur disposant déjà de .NET Framework version 4.7.2 ou ultérieure, le programme d'installation ignore cette étape de l'installation.